<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<h1 mat-dialog-title>{{ 'transl.simple.permissions' | translate }}</h1>
	<div mat-dialog-content>
		<mat-selection-list formControlName="permissions" autofocus>
			<mat-list-option
				[value]="permission"
				*ngFor="let permission of availablePermissions"
				[tabindex]="availablePermissions.indexOf(permission) + 1"
			>
				{{ 'transl.permission.' + permission | translate }}
			</mat-list-option>
		</mat-selection-list>
	</div>
	<div mat-dialog-actions>
		<button mat-button [tabindex]="availablePermissions.length + 2" type="button" (click)="dialogRef.close()">Cancel</button>
		<button mat-raised-button [tabindex]="availablePermissions.length + 1" type="submit" color="primary" [disabled]="form.invalid"
			>Save</button
		>
	</div>
</form>
